fbpx
/ English
Visual Composer

Visual Composer : incompatibilité avec WordPress 4.5 & 4.6

Visual Composer ne semble pas répondre…

Visual Composer est un plugin très populaire de construction/gestion de pages(Page builder) pour WordPress. Il est puissant, flexible et très aisément accessible aux néophytes, ce qui en fait un outils essentiel pour les Webmestres de tout acabit. Malheureusement, au moment d’écrire ces lignes (27 octobre 2016) Visual Composer ne fonctionne pas avec les versions 4.5 & 4.6.x de WordPress.

Étape 1: Tout mettre à jour

Si votre installation de Visual Composer ne fonctionne pas correctement, ma première recommandation est d’abord et avant tout de mettre à jour votre installation de WordPress, vos thèmes ainsi que vos extensions. Il est possible qu’au moment où vous lirez ceci, le problème soit résolu par les développeurs.

Étape 2: Tester les incompatibilités

Avant de blâmer Visual Composer de manière certaine, il est recommandé de tester les incompatibilités. Il est possible que ce soit une combinaison de plugins (extensions) qui rendent une ou plusieurs extensions incompatibles. Pour déterminer avec certitude si c’est effectivement Visual Composer qui est à blâmer, vous devez désactiver (attention, ne pas désinstaller) toutes vos extensions excepté Visual Composer. Si une fois ceci fait, vous voyez que celui-ci fonctionne correctement avec votre installation WordPress, réactivez chacune des extensions, une après l’autre en testant si vos extensions fonctionnent. Par procédé d’élimination, vous pourrez déterminer quel sera la combinaison d’extensions qui rend votre Visual Composer non-fonctionnel.

Étape 3: Remplacer Visual Composer

Une fois que vous êtes 100% sûr qu’une mise à jour de votre installation de WordPress, de vos templates et de vos extensions n’est pas suffisant, que vous n’avez pas réussi à déterminer des incompatibilités avec les autres extensions utilisées, il est temps de passer aux choses sérieuses et remplacer Visual Composer.
*Notez que la version de Visual Composer que nous allons installer en est une antérieure et qu’il est possible que celle-ci soit moins riches en composants et fonctionnalités que la version qui sera remplacée.

  1. Rendez-vous dans la liste de vos extensions. Désactivez l’extension Visual Composer, puis supprimez l’extension.
  2. Une fois que ceci est fait, téléchargez le fichier .zip suivant (js_composer.zip).
  3. À partir de la liste d’extensions, cliquez sur « Ajouter » au haut de l’écran.
  4. Puis, toujours dans le haut, appuyez sur le bouton « Mettre une extension en ligne » (upload).
  5. Avec le bouton « Parcourir », sélectionnez le fichier js_composer.zip que vous avez téléchargé plus tôt et faites « Installer ».
  6. Une fois que l’extension est installée, il ne vous reste qu’à l’activer à partir de la liste des extensions.
  7. Voilà! Vous pouvez maintenant tester l’extension dans le gestionnaire de pages ou d’articles. En principe l’extension devrait fonctionner correctement.

Au besoin, posez vos questions dans la section commentaire ou référez-vous aux source de l’article listés ci-dessous: Sources: 1, 2.

Auteur de l'article

David Barbier

Shaman programmeur
David est un passionné qui ne perd pas une minute. À peine sont DEC d’informatique en poche, obtenu avec brio en 2004, il commence sa carrière de programmeur web et PHP. Toujours à l’affût de nouveautés technologiques, il ne cesse d’apprendre et d’engranger de nouvelles compétences afin de proposer ce qui se fait de mieux à nos clients. Rien n’arrête David. Plus le défi à relever est important, plus il y prend de plaisir. Son enthousiasme permanent est un stimulant contagieux pour le reste de l’équipe!

À découvrir sur notre blogue

2020-05-19

Comment installer l’éditeur classique sur un site WordPress

Davyd Quintal / Directeur des solutions novatrices

Jusqu’en décembre 2018, l’éditeur par défaut présent tous les sites WordPress était l’éditeur que l’on appelle aujourd’hui « éditeur classique ».

Lire la suite
2018-01-11

Suppression des boutons Souligné et Justifié dans l’éditeur de WordPress

Gilles Duquerroy / Flexocodeur

Depuis le version 4.7 de WordPress (décembre 2016), les boutons Souligné et Justifié ont disparus de l’éditeur. Quelles sont les raisons qui ont décidés  les développeurs à prendre cette décision?

Lire la suite
2021-06-08

Caching WordPress : les 7 meilleures extensions

Vincent Gaudreau / Programmeur Web

C’est quoi le caching et pourquoi vous devriez l’utiliser. La cache est un fichier compilé en mémoire qui est exécuté plus rapidement.

Lire la suite
2017-01-05

CakePHP, ajouter l’affichage d’un message Flash

Gilles Duquerroy / Flexocodeur

Pour la suite de notre tutoriel précédent, on va maintenant afficher un message flash si l’ajout d’utilisateur a bien réussi.

Lire la suite

Laisser un commentaire

Votre adresse e-mail ne sera pas publiée. Les champs obligatoires sont indiqués avec *

This site is protected by reCAPTCHA and the Google Privacy Policy and Terms of Service apply.